Summary: The ECLiPt Roaster is a graphical frontend to cdrecord and mkisofs. 
Name: eroaster
Version: 2.0b2
Release: 5
Copyright: GPL
Group: Applications/Archiving 
URL: http://eclipt.uni-klu.ac.at
Source: ftp://eclipt.uni-klu.ac.at/pub/projects/%{name}/%{name}-%{version}.tar.gz
Patch0: makefile.patch
Packager: Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-root
Requires: pygtk cdrecord mkisofs

%description
The ECLiPt Roaster is a graphical frontend to cdrecord and mkisofs. Features
include:

  - Writing data & audio CDs and ISO images on the fly
  - Drag and Drop support
  - Nice user interface
  - Informative output window
  - Auto-selection of files to fill CDs

%prep
%setup -q
%patch0 -p1

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Applications/eroaster.desktop <<EOF
[Desktop Entry]
Name=eroaster
Type=Application
Description= ECLiPt Roaster
Exec=eroaster
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL THANKS TODO
%{_prefix}/bin/eroaster
%{_prefix}/share/eroaster
%{_prefix}/lib/eroaster
%config /etc/X11/applnk/Applications/eroaster.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 26 2000 Tim Powers <timp@redhat.com>
- use %configure instead of ./configure, put it in build section
- use %{_prefix} wherever possible
- added desktop file for applnk
- don't glob files in %{_prefix}/lib/eroaster, or in
  %{_prefix}/share/eroaster/pixmaps/* just own the %{_prefix}/lib/eroaster,
  %and %{_prefix}/share/eroaster/ dirs since it picks everything up inside 
- quiet setup

* Sun Feb 06 2000 Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
- [1.99a-1]
* Tue Jan 25 2000 Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
- [1.99-2]
  added cdrecord and cdrecord-mkisofs to the requirements
* Tue Jan 25 2000 Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
- [initial spec]
